\name{TileCalcScr}
\alias{TileCalcScr}
\title{TileCalcScr}
\usage{TileCalcScr(int, score.function=c("mean", "trimmed", "median"))}
\description{Calculates scores using different functions.}
\details{Calculates scores using different functions on probe scores.}
\value{Returns the calculated value with the selected scoring functions.
Note that windows of length zero are reported with a window score of
\code{NA}. Moreover, probe scores with the value \code{NA} are
excluded from the calculation.}
\keyword{internal}
\arguments{\item{int}{A \code{numeric} \code{vector} of one or more intensities or fold
changes. It may contain \code{NA} values that are excluded from the
calculation.}
\item{score.function}{Function to calculate windows scores over the
\code{log2}-intensities or \code{log2}-fold changes of the
corresponding probes, i.e., arithmetic average
(\code{score.function} = "mean"), arithmetic mean trimmed by the
minimal and maximal value (\code{score.function} = "trimmed"),
or the median (\code{score.function} = "median"). Note that the
definition of trimmed mean differs from the common one with given
percentile ranges. Moreover, the resulting scores with trimmed
mean may only differ from the mean only in case of windows that
contain more than two probes. The latter two scoring functions
are recommended due to their higher robustness against outliers.
However, due to the higher calculation costs, the running time
increases by selecting "trimmed" or "median". Note that the function
is given as \code{character}.}}
