\name{TileCalcWinGC}
\alias{TileCalcWinGC}
\title{TileCalcWinGC}
\usage{TileCalcWinGC(gc, win.idx)}
\description{Calculates the average GC content with window indices.}
\details{Calculates the average window GC content on probe GC contents with window
indices, storing window start positions. More precisely, \code{win.idx} has
the maximal number of probes in a window as length and in its \code{i}th
entry, it stores only start positions of windows containing at least
\code{(i+1)} probes. In case of short but numerous windows, the average GC
content in windows can be calculated very efficiently by use of optimized
\code{vector} operations. Otherwise, please consider using
\code{\link{TileCalcWinGC2}} instead.}
\value{A \code{numeric} \code{vector} containing the average GC content per
window. Note that windows of length zero are not supported and hence
treated as windows of length one. Moreover, GC content with the value
\code{NA} are excluded from the calculation.}
\keyword{internal}
\arguments{\item{gc}{A \code{numeric} \code{vector} containing the GC content of one
or more probes. The GC content is the sum of the relative numbers of
Cs and Gs in the probe sequence.}
\item{win.idx}{A \code{list} with the maximal number of probes in a window
as its length. In entry \code{i}, it stores only start positions of
windows containing at least \code{(i+1)} probes.}}
