\name{TileCalcWinScr2}
\alias{TileCalcWinScr2}
\title{TileCalcWinScr2}
\usage{TileCalcWinScr2(int, win.st, win.len, score.function=c("mean",
    "trimmed", "median"))}
\description{Wrapper function for calculating window scores using different functions.}
\details{Wrapper function for calculating window scores using different functions on
probe scores with given start positions and window lengths. In case of few
but longer windows, this function is superior to \code{\link{TileCalcWinScr}}
which is optimized for short windows.}
\value{A \code{numeric} \code{vector} containing the calculated window
scores for the given start positions. Note that windows of length
zero are reported with a window score of \code{NA}. Moreover, probe
scores with the value \code{NA} are excluded from the calculation.}
\keyword{internal}
\arguments{\item{int}{A \code{numeric} \code{vector} containing one or more probe
scores (i.e. intensities or log-fold changes).}
\item{win.st}{An \code{integer} \code{vector} containing one or more window
start positions in \code{int}.}
\item{win.len}{An \code{integer} \code{vector} containing one or more window
lengths. It must be of same length as \code{win.st}.}
\item{score.function}{Function to calculate windows scores over the
\code{log2}-intensities or \code{log2}-fold changes of the
corresponding probes, i.e., arithmetic average
(\code{score.function} = "mean"), arithmetic mean trimmed by the
minimal and maximal value (\code{score.function} = "trimmed"),
or the median (\code{score.function} = "median"). Note that the
definition of trimmed mean differs from the common one with given
percentile ranges. Moreover, the resulting scores with trimmed
mean may only differ from the mean only in case of windows that
contain more than two probes. The latter two scoring functions
are recommended due to their higher robustness against outliers.
However, due to the higher calculation costs, the running time
increases by selecting "trimmed" or "median". Note that the function
is given as \code{character}.}}
