\name{TileDivideByGC}
\alias{TileDivideByGC}
\title{TileDivideByGC}
\usage{TileDivideByGC(gc, gcnum=3)}
\description{Automatically creates GC content bins.}
\details{Automatically creates GC content bins under given number of bins. In order to
maintain sufficiently large permutation sizes for each GC content bin, the
method tries to balance the number of probes within each bin. More precisely,
initially a bin is created for each GC content value and iteratively two
neighboring bins are merged if their combined number of probes is minimal
among all possible neighboring bins. The procedure stops if the given number
of \code{gcnum} is reached. In such a way, the most balanced bin sizes can
be obtained with the given distribution of GC content values. The method
returns}
\value{A \code{vector} with the bin boundaries \code{b}. The \code{i}th bin
contains all probes with a GC content within the range
\eqn{[b[i], b[i+1])}.}
\keyword{internal}
\arguments{\item{gc}{A \code{numeric} \code{vector} containing the GC content of each
probe.}
\item{gcnum}{The number of preferred GC content bins that should be
automatically created. Note that if \code{gcnum} is higher than the
available number of different GC content values, it will be set to
this maximal number (including a warning message).}}
